<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Chat Messenger</title>

  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
  <link rel="stylesheet" href="../public/css/main.css">
  <link rel="stylesheet" href="../public/css/partials.css">

  <script src="https://kit.fontawesome.com/c7d062ae39.js" crossorigin="anonymous"></script>
  <script src="https://unpkg.com/socket.io-client@4.3.1/dist/socket.io.min.js"></script>
</head>

<body>
  <div class="main d-flex flex-column w-100">
    <nav class="navbar navbar-expand-lg navbar-light bg-main position-fixed w-100 d-flex flex-column justify-content-end">
      <div class="container-fluid d-flex justify-content-end">
        <a href="/dashboard"><img src="../public/assets/logo.png" alt="" class="ava p-2"></a>
        <div class="d-flex flex-column ms-0 me-auto ps-2">
          <h4 class="text-white"><i class="fas fa-user"></i>
            <%= session_user.username %>
          </h4>
          <h5 class="text-white mb-0">Hello, <%= session_user.fullname %>
          </h5>
        </div>
        <button class="navbar-toggler m-2" type="button" data-bs-toggle="collapse" data-bs-target="#navbarTogglerDemo02"
          aria-controls="navbarTogglerDemo02" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarTogglerDemo02">
          <ul class="navbar-nav me-0 ms-auto mb-2 mb-lg-0 float-end">
            <li class="nav-item">
              <a class="nav-link fw-bold hover-secondary text-white text-end me-2 align-items-center d-flex" href="#add"
                id="addContactBtn"><i class="fas fa-address-book fs-2"></i>
                <h6 class="ms-2 my-auto w-50 text-start">Add Contact</h6>
              </a>
            </li>
            <li class="nav-item">
              <a class="nav-link fw-bold hover-secondary text-white text-end me-2 align-items-center d-flex"
                href="/dashboard/profile"><i class="fas fa-id-card fs-2"></i>
                <h6 class="ms-2 my-auto w-50 text-start">Edit Profile</h6>
              </a>
            </li>
            <li>
              <form action="/logout" method="post" class="d-flex align-items-center">
                <button type="submit" class="me-sm-5 ms-auto logout-btn btn px-4 text-white fw-bold">LOGOUT</button>
              </form>
            </li>
          </ul>

        </div>
      </div>
      <div class="w-100 d-flex flex-column justify-content-center border border-success">
        <div class="container-fluid w-100 bg-second">
          <h1 class="text-white my-2"><a href="/dashboard" class="btn fs-3 fw-bold text-white"><i
                class="fas fa-arrow-circle-left fs-1"></i></a>Send to: <%= recipient %>
          </h1>
        </div>
      </div>
    </nav>


    <div class="chat-room vh-100 w-100 d-flex flex-column justify-content-end">
      <div class="container-fluid overflow-auto mt-5 pt-5 w-75 d-flex flex-column-reverse w-100" id="messagesRoom">
        <% if (messageList.length> 0) { %>
          <% for( let i=0; i < messageList.length; i++ ) { %>
            <% if (messageList[i].sender==recipient) { %>
              <!-- Recipient messages -->
              <div class="row mx-sm-5">
                <div class="col">
                  <div class="d-inline-block bg-second px-3 py-1 my-1 me-5 rounded-3 text-white shadow">
                    <p class="mb-0 fs-5">
                      <%= messageList[i].cipherText %>
                    </p>
                    <p class="mb-0 fw-bold">
                      <%= messageList[i].time %>
                    </p>
                  </div>
                </div>
              </div>
              <% } %>

                <% if (messageList[i].sender==username) { %>
                  <!-- Sender messages -->
                  <div class="row text-end mx-sm-5">
                    <div class="col">
                      <div class="d-inline-block bg-main px-3 py-2 my-1 rounded-3 ms-5 text-white shadow ">
                        <p class="mb-0 fs-5">
                          <%= messageList[i].cipherText %>
                        </p>
                        <p class="mb-0 fw-bold">
                          <%= messageList[i].time %>
                        </p>
                      </div>
                    </div>
                  </div>
                <% } %>
              <% } %>
            <% } %>

      </div>
      <div class="container-fluid w-100 bg-second">
        <form action="/dashbord/messages?username=<%= username %>"
          class="row py-2 align-items-center justify-content-center" method="post">
          <div class="col-8">
            <input type="text" name="recipientUsername" id="recipientMessage" value="<%= recipient %>" hidden>
            <textarea class="form-control overflow-auto" name="message" placeholder="Your message" id="plainMessage"
              style="height: 8vh;" required></textarea>
          </div>
          <div class="col-2">
            <button class="btn btn-lg btn-success" id="btn-send-message"> Send</button>
          </div>
        </form>
      </div>
    </div>


    <!-- Add Contact Modal -->
    <div id="addContactModal" class="quick-chat">
      <div class="quick-chat-content container-fluid d-flex flex-column rounded-3 border-success bg-light">
        <span class="add-contact-close text-dark me-0 ms-auto">&times;</span>
        <form action="/dashboard/contacts" method="post">
          <h4 class="text-dark">Add to contacts</h4>
          <input type="text" name="addUsername" id="" placeholder="Username" class="form-control my-2" required>
          <input type="submit" value="Add" class="btn w-100 btn-success">
        </form>
      </div>
    </div>

    <div id="errorContactModal" class="quick-chat">
      <div class="quick-chat-content container-fluid d-flex flex-column rounded-3 border-success bg-light text-center">
        <span class="add-contact-close text-dark me-0 ms-auto">&times;</span>
        <h4 class="txt-secondary" id="error-message"> Text </h4>
      </div>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
      crossorigin="anonymous"></script>

    <script src="../public/js/startChat.js"></script>
    <!-- <script src="../public/js/socketClient.js"></script> -->
</body>

</html>